/**
 * AndropodInterface - high level adb / serial communication
 *
 * @author Bernhard Julian Nischler  <julian@xdevelop.at>
 * @copyright Copyright 2011, Upper Austria University of Applied Sciences & \
 * Julian Nischler & Bernhard Wrndl-Aichriedler
 */

#ifndef USBSlaveAdbH
#define USBSlaveAdbH 1


#include "vos.h"
#include "USB.h"
#include "USBSlave.h"

enum UsbAdbSlaveStatus {
	UsbAdbSlaveOk = 0,
	UsbAdbSlaveInvalidParameter,
	UsbAdbSlaveError
};

unsigned char AdbSlaveInit(VOS_HANDLE *usbSlave, uint8 usbSlaveId,
	VOS_HANDLE *adbSlaveHandle, uint8 adbSlaveId, vos_mutex_t *writeLock,
	vos_mutex_t *readLock);

void AdbSlaveReset(VOS_HANDLE usbSlave);

bool AdbSlaveAttached(VOS_HANDLE AdbSlave);
bool AdbSlaveReady(VOS_HANDLE AdbSlave);


#endif
