#ifndef USBSlaveAdbDescriptorsH
#define USBSlaveAdbDescriptorsH 1

/** Use the Vendor id and product id of the google nexus one **/

unsigned char device_descriptor[18] = {
	0x12, 0x01,
	0x10, 0x01, //bcdUSB:				0x200
	0x00,		//bDeviceClass:			0x00
	0x00, 		//bDeviceSubClass:      0x00
	0x00,		//bDeviceProtocol:      0x00
	0x08,		//bMaxPacketSize0:      0x40 (64)
	0xD1, 0x18,	//idVendor:				0x0403
	0x12, 0x4E,	//idProduct:			0x1234
	0x27, 0x02,	//bcdDevice:            0x0216
	0x01,		//iManufacturer:        0x01
	0x02,		//iProduct:             0x02
	0x03,		//iSerialNumber:        0x00
	0x01		//bNumConfigurations:   0x01
};

unsigned char config_descriptor[32] = {
	0x09, 0x02,	//Configuration Descriptor:
	0x20, 0x00,	//wTotalLength:       0x0020
	0x01,		//bNumInterfaces:       0x01
	0x01,		//bConfigurationValue:  0x01
	0x00,		//iConfiguration:       0x00
	0xA0,		//bmAttributes:         0xA0 (Bus Powered Remote Wakeup)
	0xfA,		//MaxPower:             0xFA (?? Ma)

	0x09, 0x04,	//Interface Descriptor:
	0x00,		//bInterfaceNumber:     0x00
	0x00,		//bAlternateSetting:    0x00
	0x02,		//bNumEndpoints:        0x02
	0xff,		//bInterfaceClass:      0xFF
	0x42,		//bInterfaceSubClass:   0x42
	0x01, 		//bInterfaceProtocol:   0x01
	0x00,		//iInterface:           0x00

	0x07, 0x05, //Endpoint Descriptor:
	0x82,		//bEndpointAddress:     0x82  IN
	0x02,		//Transfer Type:   Bulk
	0x40, 0x00,	//wMaxPacketSize:     0x0040 (64) 32
	0x00,		//bInterval:            0x00

	0x07, 0x05, //Endpoint Descriptor:
	0x02,		//bEndpointAddress:     0x2  out
	0x02,		//Transfer Type:   Bulk
	0x40, 0x00,	//wMaxPacketSize:     0x0040 (64) 32
	0x00		//bInterval:            0x00

};

// English (US)
unsigned char str0_descriptor[4] = {
	0x04, 0x03, 0x09, 0x04
};

// "xDevelop"
unsigned char str1_descriptor[18] = {
	18, 0x03,
	'x', 0x00, 'D', 0x00, 'e', 0x00, 'v', 0x00,
	'e', 0x00, 'l', 0x00, 'o', 0x00, 'p', 0x00
};

// "AndropodInterface"
unsigned char str2_descriptor[36] = {
	36, 0x03,
	'A', 0x00, 'n', 0x00, 'd', 0x00, 'r', 0x00,
	'o', 0x00, 'p', 0x00, 'o', 0x00, 'd', 0x00,
	'I', 0x00, 'n', 0x00, 't', 0x00, 'e', 0x00,
	'r', 0x00, 'f', 0x00, 'a', 0x00, 'c', 0x00,
	'e', 0x00
};

// "AndropodInterface1.1"
unsigned char str3_descriptor[42] = {
	42, 0x03,
	'A', 0x00, 'n', 0x00, 'd', 0x00, 'r', 0x00,
	'o', 0x00, 'p', 0x00, 'o', 0x00, 'd', 0x00,
	'I', 0x00, 'n', 0x00, 't', 0x00, 'e', 0x00,
	'r', 0x00, 'f', 0x00, 'a', 0x00, 'c', 0x00,
	'e', 0x00, '1', 0x00, '.', 0x00, '0', 0x00
};
#endif
