/**
 * AndropodInterface - high level adb / serial communication
 *
 * @author Bernhard Julian Nischler  <julian@xdevelop.at>
 * @copyright Copyright 2011, Upper Austria University of Applied Sciences & \
 * Julian Nischler & Bernhard Wrndl-Aichriedler
 */

#include "vos.h";

void iomux_setup(void)
{
	unsigned char packageType;

	packageType = vos_get_package_type();
	if(packageType == VINCULUM_II_32_PIN)
	{
		// Debugger to pin 11 as Bi-Directional.
		vos_iomux_define_bidi(11, IOMUX_IN_DEBUGGER, IOMUX_OUT_DEBUGGER);
		// GPIO_Port_A_1 to pin 12 as Input.
		vos_iomux_define_output(12, IOMUX_OUT_GPIO_PORT_A_1);
		// GPIO_Port_A_2 to pin 14 as Input.
		vos_iomux_define_output(14, IOMUX_OUT_GPIO_PORT_A_2);
		// GPIO_Port_A_3 to pin 15 as Input.
		vos_iomux_define_input(15, IOMUX_IN_GPIO_PORT_A_3);
		// UART_TXD to pin 23 as Output.
		vos_iomux_define_output(23, IOMUX_OUT_UART_TXD);
		// UART_RXD to pin 24 as Input.
		vos_iomux_define_input(24, IOMUX_IN_UART_RXD);
		//  to pin 25 output disabled.
		vos_iomux_disable_output(25);
		// UART_CTS_N to pin 26 as Input.
		//vos_iomux_define_input(26, IOMUX_IN_UART_CTS_N);
		vos_iomux_disable_output(26);
		//  to pin 29 output disabled.
		vos_iomux_disable_output(29);
		// GPIO_Port_A_5 to pin 30 as Input.
		vos_iomux_define_input(30, IOMUX_IN_GPIO_PORT_A_5);
		// GPIO_Port_A_6 to pin 31 as Input.
		vos_iomux_define_input(31, IOMUX_IN_GPIO_PORT_A_6);
		// GPIO_Port_A_7 to pin 32 as Input.
		vos_iomux_define_output(32, IOMUX_OUT_GPIO_PORT_A_7);

	}
}

