/**
 * AndropodInterface - Simplified IO control
 *
 * @author Bernhard Wrndl-Aichriedler <bwa@xdevelop.at>, Julian Nischler  <julian@xdevelop.at>
 * @copyright Copyright 2011, Upper Austria University of Applied Sciences & \
   Julian Nischler & Bernhard Wrndl-Aichriedler
 */

#ifndef __DIGITAL_IO__
#define __DIGITAL_IO__

#include "vos.h"
#include "Definitions.h"

/**
 * Set the value of an Io pin
 * @param	pin		Pin number on port A
 * @param	value	Value of pin high/low
 */
void SetIoValue(uint8 pin, bool value);

/**
 * Read the value of an Io pin
 * @param	pin		Pin number on port A
 * @return	pin value
 */
bool GetIoValue(uint8 pin);

/**
 * Set the io mode of a pin
 * @param	pin		Pin on port A
 * @param	output	true sets the pin as output, false sets it as input
 */
void SetIoMode(uint8 pin, bool output);

#endif /* __DIGITSAL_IO__ */
